/* $Id: prompt.c,v 1.1 2015/10/25 14:15:27 leavens Exp leavens $ */
#include <stdio.h>
#include <string.h>
#ifdef _MSC_VER
#include <io.h>
#define fileno(f) _fileno(f)
#define isatty(fn) _isatty(fn)
#else
#include <unistd.h>
#endif
void prompt(FILE *f, const char *pstring)
     /* requires: f is open */
     /* effect: if f is associated with a terminal,
      *         then write pstring to that terminal (as a prompt).
      */
{
  extern char *ttyname(int fd);
  extern int isatty(int fd);

  if (isatty(fileno(f))) {
    /* prompt only if someone to see it */
    FILE *promptf;
#ifdef _MSC_VER
    promptf = f;
#else
    promptf = fopen(ttyname(fileno(f)), "w");
#endif
    fprintf(promptf, "%s", pstring);
#ifndef _MSC_VER
    fclose(promptf);
#endif
  }
}

